package com.zcloud.service.api.impl;

import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.api.EducationApiMapper;
import com.zcloud.service.api.EducationApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2023/07/31 9:04
 */
@Service
@Transactional //开启事物
public class EducationApiServiceImpl  implements EducationApiService {

    @Autowired
    private EducationApiMapper educationApiMapper;

    @Override
    public PageData getDiagnosis(PageData pd) {
        return educationApiMapper.getDiagnosis(pd);
    }

    @Override
    public List<PageData> studytaskList(PageData pd) {
        return educationApiMapper.studytaskList(pd);
    }

    @Override
    public PageData eduMonthSta(PageData pd) {
        return educationApiMapper.eduMonthSta(pd);
    }
}
